# Changelog

All notable changes to this project will be documented in this file.
Each new release typically also includes the latest modulesync defaults.
These should not affect the functionality of the module.

## [v1.0.0](https://github.com/voxpupuli/puppet-strongswan/tree/v1.0.0) (2020-03-13)

[Full Changelog](https://github.com/voxpupuli/puppet-strongswan/compare/v0.4.0...v1.0.0)

**Breaking changes:**

- drop Ubuntu 14.04 support [\#29](https://github.com/voxpupuli/puppet-strongswan/pull/29) ([bastelfreak](https://github.com/bastelfreak))
- modulesync 2.7.0 and drop puppet 4 [\#23](https://github.com/voxpupuli/puppet-strongswan/pull/23) ([bastelfreak](https://github.com/bastelfreak))

**Implemented enhancements:**

- Enable acceptance tests [\#37](https://github.com/voxpupuli/puppet-strongswan/issues/37)
- support for charon plugins configuration [\#35](https://github.com/voxpupuli/puppet-strongswan/pull/35) ([ihpu](https://github.com/ihpu))
- strongswan::secrets support selectors [\#34](https://github.com/voxpupuli/puppet-strongswan/pull/34) ([ihpu](https://github.com/ihpu))
- Allow specifying of package version and service variables [\#26](https://github.com/voxpupuli/puppet-strongswan/pull/26) ([kuldazbraslav](https://github.com/kuldazbraslav))
- Don't show diffs from strongSwan secrets file. [\#21](https://github.com/voxpupuli/puppet-strongswan/pull/21) ([jared-gs](https://github.com/jared-gs))

**Fixed bugs:**

- `strongswan::pki::ca` and `strongswan::pki::certificate` aren't working on Debian [\#39](https://github.com/voxpupuli/puppet-strongswan/issues/39)
- Allow puppetlabs/concat 6.x, puppetlabs/stdlib 6.x [\#24](https://github.com/voxpupuli/puppet-strongswan/pull/24) ([dhoppe](https://github.com/dhoppe))

**Closed issues:**

- Not able to configure ensure for service [\#16](https://github.com/voxpupuli/puppet-strongswan/issues/16)

**Merged pull requests:**

- Refactor and document with puppet-strings [\#36](https://github.com/voxpupuli/puppet-strongswan/pull/36) ([alexjfisher](https://github.com/alexjfisher))

## [v0.4.0](https://github.com/voxpupuli/puppet-strongswan/tree/v0.4.0) (2018-10-14)

[Full Changelog](https://github.com/voxpupuli/puppet-strongswan/compare/v0.3.0...v0.4.0)

**Implemented enhancements:**

- Add Debian/Ubuntu support [\#14](https://github.com/voxpupuli/puppet-strongswan/pull/14) ([jamtur01](https://github.com/jamtur01))

**Closed issues:**

- Migrate strongswan module to Vox Pupuli [\#2](https://github.com/voxpupuli/puppet-strongswan/issues/2)

**Merged pull requests:**

- modulesync 2.2.0 and allow puppet 6.x [\#18](https://github.com/voxpupuli/puppet-strongswan/pull/18) ([bastelfreak](https://github.com/bastelfreak))
- allow puppetlabs/concat 5.x [\#17](https://github.com/voxpupuli/puppet-strongswan/pull/17) ([bastelfreak](https://github.com/bastelfreak))
- allow puppetlabs/stdlib 5.x [\#13](https://github.com/voxpupuli/puppet-strongswan/pull/13) ([bastelfreak](https://github.com/bastelfreak))

## [v0.3.0](https://github.com/voxpupuli/puppet-strongswan/tree/v0.3.0) (2018-06-01)

[Full Changelog](https://github.com/voxpupuli/puppet-strongswan/compare/v.0.2.0...v0.3.0)

**Merged pull requests:**

- add secret [\#9](https://github.com/voxpupuli/puppet-strongswan/pull/9) ([bastelfreak](https://github.com/bastelfreak))
- Remove docker nodesets [\#8](https://github.com/voxpupuli/puppet-strongswan/pull/8) ([bastelfreak](https://github.com/bastelfreak))
- drop EOL OSs; fix puppet version range [\#7](https://github.com/voxpupuli/puppet-strongswan/pull/7) ([bastelfreak](https://github.com/bastelfreak))
- modulesync 1.6.0-14-g7ec1f6b [\#3](https://github.com/voxpupuli/puppet-strongswan/pull/3) ([CommanderK5](https://github.com/CommanderK5))

## [v.0.2.0](https://github.com/voxpupuli/puppet-strongswan/tree/v.0.2.0) (2018-01-03)

[Full Changelog](https://github.com/voxpupuli/puppet-strongswan/compare/v0.1.0...v.0.2.0)

**Merged pull requests:**

- Readded Debian support [\#1](https://github.com/voxpupuli/puppet-strongswan/pull/1) ([grzegorzgr](https://github.com/grzegorzgr))

## [v0.1.0](https://github.com/voxpupuli/puppet-strongswan/tree/v0.1.0) (2016-03-15)

[Full Changelog](https://github.com/voxpupuli/puppet-strongswan/compare/52e903ee0181cbbc6933c0f3b2c02427bcee8ecf...v0.1.0)



\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
